Package org.eclipse.net4j.util.io

## Class ExtendedIOUtil

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedIOUtil

-     public final class ExtendedIOUtil
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExtendedIOUtil.ClassLoaderClassResolver` |
    `static interface` | `ExtendedIOUtil.ClassResolver` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Throwable` | `deserializeThrowable​(byte[] bytes)` |
    `static long` | `readBinaryStream​(java.io.DataInput in, java.io.OutputStream outputStream)` |
    `static byte[]` | `readByteArray​(java.io.DataInput in)` |
    `static long` | `readCharacterStream​(java.io.DataInput in, java.io.Writer writer)` |
    `static <T extends java.lang.Enum<?>> T` | `readEnum​(java.io.DataInput in, java.lang.Class<T> type)` |
    `static java.lang.Throwable` | `readException​(java.io.DataInput in)` |
    `static java.lang.Object` | `readObject​(java.io.DataInput in)` |
    `static java.lang.Object` | `readObject​(java.io.DataInput in, java.lang.ClassLoader classLoader)` |
    `static java.lang.Object` | `readObject​(java.io.DataInput in, ExtendedIOUtil.ClassResolver classResolver)` |
    `static java.lang.String` | `readString​(java.io.DataInput in)` |
    `static int` | `readVarInt​(java.io.DataInput in)` |
    `static long` | `readVarLong​(java.io.DataInput in)` |
    `static byte[]` | `serializeThrowable​(java.lang.Throwable t)` |
    `static long` | `writeBinaryStream​(java.io.DataOutput out, java.io.InputStream inputStream)` |
    `static void` | `writeByteArray​(java.io.DataOutput out, byte[] b)` |
    `static long` | `writeCharacterStream​(java.io.DataOutput out, java.io.Reader reader)` |
    `static void` | `writeEnum​(java.io.DataOutput out, java.lang.Enum<?> literal)` |
    `static void` | `writeException​(java.io.DataOutput out, java.lang.Throwable t)` |
    `static void` | `writeObject​(java.io.DataOutput out, java.lang.Object object)` |
    `static void` | `writeString​(java.io.DataOutput out, java.lang.String str)` |
    `static void` | `writeVarInt​(java.io.DataOutput out, int v)` |
    `static void` | `writeVarLong​(java.io.DataOutput out, long v)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeVarInt

          public static void writeVarInt​(java.io.DataOutput out,
                                         int v)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readVarInt

          public static int readVarInt​(java.io.DataInput in)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeVarLong

          public static void writeVarLong​(java.io.DataOutput out,
                                          long v)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readVarLong

          public static long readVarLong​(java.io.DataInput in)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeByteArray

          public static void writeByteArray​(java.io.DataOutput out,
                                            byte[] b)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readByteArray

          public static byte[] readByteArray​(java.io.DataInput in)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeObject

          public static void writeObject​(java.io.DataOutput out,
                                         java.lang.Object object)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          public static java.lang.Object readObject​(java.io.DataInput in)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          public static java.lang.Object readObject​(java.io.DataInput in,
                                                    java.lang.ClassLoader classLoader)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          public static java.lang.Object readObject​(java.io.DataInput in,
                                                    ExtendedIOUtil.ClassResolver classResolver)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeString

          public static void writeString​(java.io.DataOutput out,
                                         java.lang.String str)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readString

          public static java.lang.String readString​(java.io.DataInput in)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBinaryStream

          public static long writeBinaryStream​(java.io.DataOutput out,
                                               java.io.InputStream inputStream)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.3

    - #### readBinaryStream

          public static long readBinaryStream​(java.io.DataInput in,
                                              java.io.OutputStream outputStream)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.3

    - #### writeCharacterStream

          public static long writeCharacterStream​(java.io.DataOutput out,
                                                  java.io.Reader reader)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.3

    - #### readCharacterStream

          public static long readCharacterStream​(java.io.DataInput in,
                                                 java.io.Writer writer)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.3

    - #### writeEnum

          public static void writeEnum​(java.io.DataOutput out,
                                       java.lang.Enum<?> literal)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### readEnum

          public static <T extends java.lang.Enum<?>> T readEnum​(java.io.DataInput in,
                                                                 java.lang.Class<T> type)
                                                          throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### writeException

          public static void writeException​(java.io.DataOutput out,
                                            java.lang.Throwable t)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.4

    - #### readException

          public static java.lang.Throwable readException​(java.io.DataInput in)
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.4

    - #### serializeThrowable

          public static byte[] serializeThrowable​(java.lang.Throwable t)

      Since:
        3.4

    - #### deserializeThrowable

          public static java.lang.Throwable deserializeThrowable​(byte[] bytes)

      Since:
        3.4